//*******************************************************************************************
//
//	Definitions of CDlgFilter
//
// Copyright (c) 2001 JL BOYER. All rights reserved
//
//*******************************************************************************************


#ifndef _DlgFilter_H_
#define _DlgFilter_H_

#include "Dlg.h"
#include "DlgPlaylist.h"
#include <commctrl.h>


#define MAX_TYPEFILTER 4

class CDlgFilter: public CDlg
{

private:
	static const TCHAR *m_listTypeFilter[MAX_TYPEFILTER];
	
	CDlgPlaylist *m_pThisPlaylist;
	tstring m_newArtist;
	tstring m_newAlbum;
	tstring m_newComment;

	StrArray m_StrArray;
	HIMAGELIST m_hIml;
	int  m_nTypeFilter;
	BOOL m_bFilterChange;
	BOOL m_nOldSortColumnFilter;
	BOOL m_bSortOrderAscending;


public:
	CDlgFilter(CDlgPlaylist*) ;
	~CDlgFilter() {};
	operator HWND() const {return(m_hDlg);}
	BOOL DestroyWindow() {BOOL bRet=::DestroyWindow(m_hDlg); m_hDlg = NULL; return(bRet);}

protected:
	virtual BOOL RealDlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam);

private:
	static int CALLBACK ListViewCompareProc(LPARAM lParam1, LPARAM lParam2, LPARAM lParamSort);

	LRESULT NotifyHandler(UINT uMsg, WPARAM wParam, LPARAM lParam,	HINSTANCE hInst);
	void Init();
	void ShowCtrl();
	void RefreshTitle();
	void LoadGenre();
	int SaveGenre();
	void LoadFilter();
	void SaveFilter();

	int AddVector(tstring& strNew);
	int FindVector(tstring& strNew);

	
	BOOL DoContextMenu(WPARAM wParam, LPARAM lParam);
	void SelectAll(BOOL bSelect);
	void SelectToggle();
};

#endif