//*******************************************************************************************
//
//	Definitions of CDlgID3Edit  "Page - ID3 EditTag"
//
// Copyright (c) 2001 JL BOYER. All rights reserved
//
//*******************************************************************************************


#ifndef _DlgID3Edit_H_
#define _DlgID3Edit_H_

#include "DlgID3Template.h"

class CDlgID3Edit: public CDlgID3Template
{
private:
	int m_dwCurSel;
	BOOL m_bChange;
	BOOL m_bIsLoading;

public:
	CDlgID3Edit(CDlgPlaylist *pThis) : CDlgID3Template(pThis) 
		{m_dwCurSel = 0; m_bChange = FALSE;	m_bIsLoading =  TRUE;} ;

	~CDlgID3Edit() {};
	operator HWND() const {return(m_hDlg);}
	BOOL DestroyWindow() {BOOL bRet=::DestroyWindow(m_hDlg); m_hDlg = NULL; return(bRet);}

protected:
	virtual BOOL RealDlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam);

private:
	void Init();
	void InitLanguage();
	void InitFileCbo();
	void ShowInfo();
	void GotoFile(int nMove);
	void ShowCoreMP3Info(CMP3Info *mp3i);
	void Changed(BOOL bEnabled);
	void EnabledID3v1();
	void EnabledID3v2();
	void CopyID3v2_ID3v1();
	void CopyID3v1_ID3v2();
	void IsDirty();
	void WriteTag();
	void SwapFieldID3(int nIDsrc, int nIDdest);
	void OwnerDrawBtnSwap(LPDRAWITEMSTRUCT lpdis);
};

#endif