//*******************************************************************************************
//
//	Definitions of CDlgID3Template 
//  (Template Class "ID3 Pages")	Generic class
//
// Copyright (c) 2001 JL BOYER. All rights reserved
//
//*******************************************************************************************


#ifndef _DlgID3Template_H_
#define _DlgID3Template_H_

#include "Dlg.h"
#include "DlgPlaylist.h"
#include <commctrl.h>

// ***************************************************
// 
#define MAX_RES2FRAME 12

class CDlgID3Template: public CDlg
{
protected:
	HWND m_hwndList;
	static const TCHAR *m_listFrmt[MAX_COL_FRMT];
	static const int m_Res2Frame[MAX_RES2FRAME][2];
	CDlgPlaylist *m_pThisPlaylist;

public:
	CDlgID3Template(CDlgPlaylist*) ;
	~CDlgID3Template() {};
	operator HWND() const {return(m_hDlg);}
	BOOL DestroyWindow() {BOOL bRet=::DestroyWindow(m_hDlg); m_hDlg = NULL; return(bRet);}


protected:
	virtual BOOL RealDlgProc(UINT uMsg, WPARAM wParam, LPARAM lParam) {return TRUE;};
	
	void InitFileList(BOOL bShortFileName = TRUE);

	int  GetResID(int fid);
	int  GetFrameID(int resid);
	void SetTextMP3info(int fid, CMP3Info *mp3i);
	void GetTextMP3info(int fid, CMP3Info *mp3i);
	void ShowMP3Info(CMP3Info *mp3i);
	
	void FrmtCheck2List(int nID);
	void FrmtRemoveCol();
	void FrmtUpdate();
	void FrmtUpdateSeparator();
	void FrmtSelectAll(int);
	
	void LOGEnable();
	void LOGChooseFile();

	void SaveSelectedItem();
	void OwnerDrawBtn(LPDRAWITEMSTRUCT lpdis);
	void MenuButton(int nIDButton, int nIDMenu, int nSubMenu);

	void CapitalizeString(TCHAR* szTemp);
	void ConvertString(TCHAR* szTemp);

	BOOL MsgConfirm(int nCount, int *pArray, int nPage);
	BOOL PrepareItemList(BOOL &bSelected, int &nCount, int **pArray, int nAction);
	BOOL PrepareLogFile(BOOL &bLog, FILE *filelog);
	void InitProgressBar(HWND hProgress, int nCount);
	void GetFrameInfo(CMP3Info *mp3i, int fid, tstring &str);
};

#endif